import React from 'react';
import { Link } from '../Link';
import { TabNav, TabNavItem } from '.';
export default {
  component: TabNav,
  subcomponents: {
    TabNavItem: TabNavItem
  },
  title: 'Tab Nav',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    },
    docs: {
      description: {
        component: 'Use this component to navigate between different pages or routes.'
      }
    }
  }
};
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(TabNav, props, /*#__PURE__*/React.createElement(TabNavItem, {
    link: /*#__PURE__*/React.createElement(Link, {
      href: "#"
    }, "Example Tab 1"),
    isActive: true
  }), /*#__PURE__*/React.createElement(TabNavItem, {
    link: /*#__PURE__*/React.createElement(Link, {
      href: "#"
    }, "Example Tab 2")
  }), /*#__PURE__*/React.createElement(TabNavItem, {
    link: /*#__PURE__*/React.createElement(Link, {
      href: "#"
    }, "Example Tab 3")
  }));
};